org.icefaces.ace.component.radiobutton

## Class RadioButtonTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.icefaces.ace.component.radiobutton.RadioButtonTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class RadioButtonTag
      extends javax.faces.webapp.UIComponentELTag

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from class javax.faces.webapp.UIComponentTagBase

      `log`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadioButtonTag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doEndTag()`
    `int` | `doStartTag()`
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()` Release any allocated tag handler attributes.
    `void` | `setAccesskey(javax.el.ValueExpression accesskey)`
    `void` | `setBinding(javax.el.ValueExpression binding)`
    `void` | `setConverter(javax.el.ValueExpression converter)`
    `void` | `setConverterMessage(javax.el.ValueExpression converterMessage)`
    `void` | `setDisabled(javax.el.ValueExpression disabled)`
    `void` | `setGroup(javax.el.ValueExpression group)`
    `void` | `setId(javax.el.ValueExpression id)`
    `void` | `setImmediate(javax.el.ValueExpression immediate)`
    `void` | `setLabel(javax.el.ValueExpression label)`
    `void` | `setLabelPosition(javax.el.ValueExpression labelPosition)`
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRendered(javax.el.ValueExpression rendered)`
    `void` | `setRequired(javax.el.ValueExpression required)`
    `void` | `setRequiredMessage(javax.el.ValueExpression requiredMessage)`
    `void` | `setStyle(javax.el.ValueExpression style)`
    `void` | `setStyleClass(javax.el.ValueExpression styleClass)`
    `void` | `setTabindex(javax.el.ValueExpression tabindex)`
    `void` | `setValidator(javax.el.MethodExpression validator)`
    `void` | `setValidatorMessage(javax.el.ValueExpression validatorMessage)`
    `void` | `setValue(javax.el.ValueExpression value)`
    `void` | `setValueChangeListener(javax.el.MethodExpression valueChangeListener)`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doInitBody, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### RadioButtonTag

          public RadioButtonTag()

  - ### Method Detail

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### setAccesskey

          public void setAccesskey(javax.el.ValueExpression accesskey)

    - #### setBinding

          public void setBinding(javax.el.ValueExpression binding)

      Overrides:
        `setBinding` in class `javax.faces.webapp.UIComponentELTag`

    - #### setConverter

          public void setConverter(javax.el.ValueExpression converter)

    - #### setConverterMessage

          public void setConverterMessage(javax.el.ValueExpression converterMessage)

    - #### setDisabled

          public void setDisabled(javax.el.ValueExpression disabled)

    - #### setGroup

          public void setGroup(javax.el.ValueExpression group)

    - #### setId

          public void setId(javax.el.ValueExpression id)

    - #### setImmediate

          public void setImmediate(javax.el.ValueExpression immediate)

    - #### setLabel

          public void setLabel(javax.el.ValueExpression label)

    - #### setLabelPosition

          public void setLabelPosition(javax.el.ValueExpression labelPosition)

    - #### setRendered

          public void setRendered(javax.el.ValueExpression rendered)

      Overrides:
        `setRendered` in class `javax.faces.webapp.UIComponentELTag`

    - #### setRequired

          public void setRequired(javax.el.ValueExpression required)

    - #### setRequiredMessage

          public void setRequiredMessage(javax.el.ValueExpression requiredMessage)

    - #### setStyle

          public void setStyle(javax.el.ValueExpression style)

    - #### setStyleClass

          public void setStyleClass(javax.el.ValueExpression styleClass)

    - #### setTabindex

          public void setTabindex(javax.el.ValueExpression tabindex)

    - #### setValidator

          public void setValidator(javax.el.MethodExpression validator)

    - #### setValidatorMessage

          public void setValidatorMessage(javax.el.ValueExpression validatorMessage)

    - #### setValue

          public void setValue(javax.el.ValueExpression value)

    - #### setValueChangeListener

          public void setValueChangeListener(javax.el.MethodExpression valueChangeListener)

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `javax.faces.webapp.UIComponentELTag`

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doEndTag

          public int doEndTag()
                       throws javax.servlet.jsp.JspException

      Specified by:
        `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doEndTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### release

          public void release()

      Release any allocated tag handler attributes.

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `javax.faces.webapp.UIComponentELTag`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.